#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-CvwbQSOr9msG5sVQ4jEPX
key: crypto-pubkey-0.2.8-CvwbQSOr9msG5sVQ4jEPX
license: BSD-3-Clause
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
author: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
abi: b22508b0348db1b291050cd8d256cb34
exposed: True
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
import-dirs: /usr/lib/ghc-8.4.3/site-local/crypto-pubkey-0.2.8
library-dirs: /usr/lib/ghc-8.4.3/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.4.3/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-CvwbQSOr9msG5sVQ4jEPX
depends:
    base-4.11.1.0 bytestring-0.10.8.2
    byteable-0.1.1-APABKKN6nDlC3QxQBw4YlY
    crypto-random-0.0.9-Ano8RzuAweB4wisyqxpTcJ
    crypto-pubkey-types-0.4.3-1pKzKrMtqa3CVnVrz4y60i
    cryptohash-0.11.9-IYePzze8DC9AsGO6QChWTA
    crypto-numbers-0.2.7-AcqB7J1BIQDh6PtDkCnUY
abi-depends: base-4.11.1.0=a3fb1645bafaa89172454c2eea8dfdc9
             bytestring-0.10.8.2=9faa89cf4769cbd12751f8644ca9e618
             byteable-0.1.1-APABKKN6nDlC3QxQBw4YlY=cdb4e7359967ea10cd00ae1d3fab6945
             crypto-random-0.0.9-Ano8RzuAweB4wisyqxpTcJ=71f8af3cf08aa8b3a229efeb91173043
             crypto-pubkey-types-0.4.3-1pKzKrMtqa3CVnVrz4y60i=e856bdb3d28f2543ddbcdae3776738fa
             cryptohash-0.11.9-IYePzze8DC9AsGO6QChWTA=e79fb2fabc6b0448e8ad5a55897cb915
             crypto-numbers-0.2.7-AcqB7J1BIQDh6PtDkCnUY=ea8f511014423fa37af2713e831fb5ec
haddock-interfaces: /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock
haddock-html: /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

